CREATE OR REPLACE TRIGGER SalaryRestriction BEFORE UPDATE ON professor FOR EACH ROW
BEGIN
  IF (:new.salary < :old.salary)
    THEN RAISE_APPLICATION_ERROR (-20004, 'Violation of Salary constraint: Decreasing Salary');
  END IF;
END;
.
